4Suite™ API Documentation

# ► Module Ft.Server.Server.Drivers.MetaKit

4SuiteServer storage driver for MetaKit RDF back-end
Copyright 2002 Fourthought Inc, USA.

Classes: MetaKitDriver |  |  |  | Functions: Begin, Destroy, Exists, Initialize, InitializeModule, Maintain |  |  |  | Fields: NAME, STRING_VIEW, SYSTEM_MODEL_NAME, USER_MODEL_NAME

## Classes

class MetaKitDriver
Store information in a MetaKit Database
Concurrent access may be supported by setting MODE_RW=2
in MetaKit RDF driver.

### Methods

__init__(self, dbName)
commit(self)
createFile(self, path, typ, content)
When creating a resource, store the content
deleteFile(self, path, typ)
Delete an object
fetchFile(self, path, typ)
return contents
getSystemModel(self)
getUserModel(self)
hasFile(self, path, typ)
return True if the resource exists
mk_strings_view(self)
return the MetaKit view containing contents data
rollback(self)
updateFile(self, path, typ, content)
Update only the content about this resource

## Functions

Begin(**properties)
Begin a new transaction.
Every driver must support this interface.
The properties keyword arguments are passed from the config file
(or where ever) to the driver. The Begin file is responsible
for doing what ever is needed to validate these arguements
Destroy(properties, tryOnly=0)
Completly destroy the repo
Exists(properties)
See if this repo exists.
Return value:
1 - Everything is present
0 - Some things are there
-1 - Nothing is there.
Initialize(properties)
Initialize a new copy of the repo.
This is not the same as a 4ss_manager init.
This is very raw. The adapter will take care
of calling our other interfaces (createContainer,
createUser, etc) with all of the information
about the rest of the 'init' stuff to do
InitializeModule()
Post-import hook to initialize module's runtime variables that are not required at import time, but will be needed before the module-level functions are called.
Maintain(properties)
Perform any maintenance on the db

## Fields

NAME = 'MetaKit'
STRING_VIEW = 'ftss_strings[path:S,type:I,data:B]'
SYSTEM_MODEL_NAME = 'system'
USER_MODEL_NAME = 'user'